Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing.event
Class TreeModelEvent

    java.lang.Object
      java.util.EventObject
          charvax.swing.event.TreeModelEvent

All Implemented Interfaces:
  java.io.Serializable

public class TreeModelEvent
extends java.util.EventObject

See Also:
  Serialized Form

Field Summary
`protected int[]` | `childIndices` Indices identifying the position of where the children were.
`protected java.lang.Object[]` | `children` Children that have been removed.
`protected TreePath` | `path` Path to the parent of the nodes that have changed.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeModelEvent(java.lang.Object source, java.lang.Object[] objects)` Used to create an event when the node structure has changed in some way, identifying the path to the root of a modified subtree as an array of Objects.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### childIndices

    protected int[] childIndices

  Indices identifying the position of where the children were.

### children

    protected java.lang.Object[] children

  Children that have been removed.

### path

    protected TreePath path

  Path to the parent of the nodes that have changed.

Constructor Detail

### TreeModelEvent

    public TreeModelEvent(java.lang.Object source,
                          java.lang.Object[] objects)

  Used to create an event when the node structure has changed in some way, identifying the path to the root of a modified subtree as an array of Objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD